Oracle 11gR2 to 12cR2 Cross version VDB Provision

  • 0
  • 2
  • Question
  • Updated 3 years ago
  • Answered
Hi, 

Please let me know if my dsource database is oracle 11gR2, How can I provision a VDB on a target environment where the 12cR2 binaries are installed. I am getting incompatible version error.

regards,
Charles
Photo of Charles Theophilus

Charles Theophilus

  • 524 Points 500 badge 2x thumb

Posted 3 years ago

  • 0
  • 2
Photo of Srish Sriram

Srish Sriram, Employee

  • 1,280 Points 1k badge 2x thumb
Official Response
Hi Charles,

In order to provision the VDB, you would need to upgrade it to 12cR2. Note that you do not necessarily need to upgrade the dSource itself, just the VDB. You can find information on how to upgrade your VDB on our help article "Upgrading an Oracle VDB" .

I hope that helps. Let me know if you have any questions.

Thanks,

Srish
Photo of Sean Nothdurft

Sean Nothdurft, Technical Support

  • 830 Points 500 badge 2x thumb
Official Response
Charles-

To clarify, the product won't allow you to provision to a target environment that doesn't have a compatible Oracle installation.  In order to accomplish this, you would have to have a parallel Oracle 11g installation on the target environment, to which you could provision the VDB, then upgrade the VDB to 12c using the instruction in the hyperlink provided.

I hope this helps.